BANK KALTENG - Bug #1044

Payroll Basic Data - Perubahan Data Type
04/13/2022 10:54 AM - Mega Yunita

Status: Closed Start date: 04/13/2022
Priority: Urgent Due date: 04/14/2022
Assignee: Mega Yunita % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear Mas Wanto, mohon bantuannya untuk merubah data type atau validasi untuk :

1. Bank Account : Hanya boleh input angka
2. Bank Account Name : Hanya boleh input huruf
3. NPWP : Hanya boleh input angka

Port : http:/103.168.134.28:31130/

Server : 103.168.134.119

DB : MinovaES_BankKalteng_Dev

Menu : HR > Payroll Administration > Payroll Data > Payroll Basic Data

Semoga dapat dimengerti

Terimakasih

History

#1 - 04/13/2022 10:57 AM - Mega Yunita

- Tracker changed from Feature to Bug

#2 - 04/13/2022 11:03 AM - Kezia Pawitra Yulianti
- Status changed from New to Assigned

- Priority changed from High to Urgent

help mang, target catatan BKT minggu ini kelar soalnya

Thanks y

#3 - 04/13/2022 11:43 AM - Saswanto Tampan
- Status changed from Assigned to QA Test

- Assignee changed from Saswanto Tampan to Mega Yunita

di sdatatablefield untuk filed yang dimaksud tambahkan di FormatRef nya sesuai keinginan jika ingin ang maka diisi number jika inging huruf semua
maka di kolom formatref diisi script berikut

var result = false;

var text = Ext.ComponentQuery.query('[name=MinovaGridFormEditPHRPAO0003]')[0].getValues().BankAccountName;
for (leti=0;i<10;i++) {

if (result == false) { result = text.includes(String(i));}

1

if (result == true) {

var setfield = Ext. ComponentQuery.query('[name=MinovaGridFormEditPHRPA0003]')[0].getForm();
setfield .findField('BankAccountName').setValue();

}

#4 - 04/18/2022 10:53 AM - Mega Yunita

oke mas, sudah sesuai..

Terimakasih
http://103.168.134.28:31130/

#5 - 04/18/2022 10:53 AM - Mega Yunita
- Status changed from QA Test to Closed
